#!/bin/bash
##################################################################################################
### Shell-Script for cropping of Decadal LULC data to a small region
### Here, the data is cropped for 1000 x 1000 grid points centred around TVM
### Last Modified (DBS, December 03, 2020).
##################################################################################################
	cd ~/palm/STATIC-DRIVER-CREATION
	gdal_translate -a_scale 0.996 -projwin 2900 1000600 102900 900600 LULC_2005.tif TVM-LULC-2005.tif
	gdal_translate -of NetCDF TVM-LULC-2005.tif TVM-LULC-2005.nc
	gdal_translate -of XYZ -a_scale 0.9996 TVM-LULC-2005.tif TVM-LULC-2005.txt
###########################################################################################################################
	gfortran -I/usr/local/include -L/usr/local/lib64 -lnetcdf -lnetcdff -o 03-read-both-palm-lulc.x 03-read-both-palm-lulc.f90
	./03-read-both-palm-lulc.x
####################################################################################
### NetCDF commands for inclusion of global attributes
####################################################################################
 	ncatted -a rotation_angle,global,c,f,0 DBS-PALM-Sample.nc
 	ncatted -a origin_z,global,c,f,0 DBS-PALM-Sample.nc
 	ncatted -a origin_y,global,c,f,5424815 DBS-PALM-Sample.nc
 	ncatted -a origin_x,global,c,f,3455249 DBS-PALM-Sample.nc
 	ncatted -a origin_lon,global,c,f,13.4 DBS-PALM-Sample.nc
 	ncatted -a origin_lat,global,c,f,52.5 DBS-PALM-Sample.nc
 	ncatted -a origin_time,global,c,c,"2019-03-06 10:00:00 +00" DBS-PALM-Sample.nc
